Package org.springframework.security.web.webauthn.management

# Class ImmutablePublicKeyCredentialRequestOptionsRequest

java.lang.Object
org.springframework.security.web.webauthn.management.ImmutablePublicKeyCredentialRequestOptionsRequest

All Implemented Interfaces:
  `PublicKeyCredentialRequestOptionsRequest`

public class ImmutablePublicKeyCredentialRequestOptionsRequest extends Object implements PublicKeyCredentialRequestOptionsRequest

## Constructor Summary

Constructors
Constructor
Description
`ImmutablePublicKeyCredentialRequestOptionsRequest(org.springframework.security.core.Authentication authentication)`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.security.core.Authentication`
`getAuthentication()`
The current `Authentication`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ImmutablePublicKeyCredentialRequestOptionsRequest

public ImmutablePublicKeyCredentialRequestOptionsRequest(org.springframework.security.core.Authentication authentication)

## Method Details

### getAuthentication

public org.springframework.security.core.Authentication getAuthentication()
Description copied from interface: `PublicKeyCredentialRequestOptionsRequest`
The current `Authentication`. Possibly null or an anonymous.

Specified by:
  `getAuthentication` in interface `PublicKeyCredentialRequestOptionsRequest`
Returns:
  the current `Authentication`